-module(cake@internal@dialect).
-compile([no_auto_import, nowarn_unused_vars, nowarn_unused_function, nowarn_nomatch]).

-export([placeholder_base/1]).
-export_type([dialect/0]).

-type dialect() :: postgres | sqlite | maria | mysql.

-spec placeholder_base(dialect()) -> binary().
placeholder_base(Dlct) ->
    case Dlct of
        postgres ->
            <<"$"/utf8>>;

        sqlite ->
            <<"?"/utf8>>;

        maria ->
            <<"?"/utf8>>;

        mysql ->
            <<"?"/utf8>>
    end.
